[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSource.AutoEdit

Should the dataset be put in edit mode automatically

## Declaration

Source position: db.pas line 1816

`published property TDataSource.AutoEdit : Boolean read FAutoEdit write FAutoEdit default True;`

## Description

AutoEdit can be set to True to prevent visual controls from putting the dataset in edit mode. Visual controls use the TDatasource.Edit method to attempt to put the dataset in edit mode as soon as the user changes something. If AutoEdit is set to False then the Edit method does nothing. The effect is that the user must explicitly set the dataset in edit mode (by clicking some button or some other action) before the fields can be edited.

## See also

TDatasource.Edit |  | Put the dataset in edit mode, if needed
TDataset.Edit |  | Set the dataset in editing mode.

Documentation generated on: Feb 26 2014